# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileMetaPropsPlugin Class Reference

`#include <kmetaprops.h>`

Inheritance diagram for KFileMetaPropsPlugin:

[legend]
Collaboration diagram for KFileMetaPropsPlugin:

[legend]
List of all members.

## Public Member Functions

| KFileMetaPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()

## Static Public Member Functions

static bool | supports (KFileItemList _items)

## Detailed Description

'MetaProps plugin In this plugin you can modify meta information like id3 tags of mp3 files

Definition at line 31 of file kmetaprops.h.

## Constructor & Destructor Documentation

KFileMetaPropsPlugin::KFileMetaPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 80 of file kmetaprops.cpp. References QPtrList::count(), endl(), KPropertiesDialog::item(), KPropertiesDialog::items(), kdDebug(), KPropertiesDialog::kurl(), KFileItem::metaInfo(), KURL::path(), and KFileItem::setMetaInfo().

## Member Function Documentation

void KFileMetaPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 255 of file kmetaprops.cpp. References KFileMetaInfoWidget::apply(), endl(), and kdDebug().

bool KFileMetaPropsPlugin::supports | ( | KFileItemList | _items | ) | `[static]`

| Tests whether the file specified by _items has a 'MetaInfo' plugin. Definition at line 243 of file kmetaprops.cpp. References KGlobalSettings::showFilePreview(). Referenced by KPropertiesDialog::canDisplay().

The documentation for this class was generated from the following files:

- kmetaprops.h
- kmetaprops.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003